| Flutter iOS Embedder |

Instance Methods | Class Methods | List of all members
FlutterUndoManagerPlugin Class Reference

`#import <FlutterUndoManagerPlugin.h>`

Inheritance diagram for FlutterUndoManagerPlugin:

## Instance Methods
(instancetype) | - NS_UNAVAILABLE
(instancetype) | - initWithDelegate:
(void) | - handleMethodCall:result:

## Class Methods
(instancetype) | + NS_UNAVAILABLE

## Detailed Description

Definition at line 13 of file FlutterUndoManagerPlugin.h.

## Method Documentation

## ◆ handleMethodCall:result:

- (void) handleMethodCall: |  | (FlutterMethodCall*) | call
result: |  | (FlutterResult) | result

Definition at line 38 of file FlutterUndoManagerPlugin.mm.

38 :(FlutterMethodCall*)call result:(FlutterResult)result {
39 NSString* method = call.method;
40 id args = call.arguments;
41 if ([method isEqualToString:kSetUndoStateMethod]) {
42 self.undoManager = self.undoManagerDelegate.undoManager;
43 [self setUndoState:args];
44 result(nil);
45 } else {
46 result(FlutterMethodNotImplemented);
47 }
48 }

References FlutterMethodCall::arguments, FlutterMethodNotImplemented, kSetUndoStateMethod, and FlutterMethodCall::method.

## ◆ initWithDelegate:

- (instancetype) initWithDelegate: |  | (id<FlutterUndoManagerDelegate>) | NS_DESIGNATED_INITIALIZER |

Definition at line 24 of file FlutterUndoManagerPlugin.mm.

24 :(id<FlutterUndoManagerDelegate>)undoManagerDelegate {
25 self = [super init];
26
27 if (self) {
28 _undoManagerDelegate = undoManagerDelegate;
29 }
30
31 return self;
32 }

## ◆ NS_UNAVAILABLE [1/2]

- (instancetype) NS_UNAVAILABLE |  |  |

## ◆ NS_UNAVAILABLE [2/2]

+ (instancetype) NS_UNAVAILABLE |  |  |

The documentation for this class was generated from the following files:

- shell/platform/darwin/ios/framework/Source/FlutterUndoManagerPlugin.h
- shell/platform/darwin/ios/framework/Source/FlutterUndoManagerPlugin.mm

FlutterMethodNotImplemented
FLUTTER_DARWIN_EXPORT NSObject const * FlutterMethodNotImplemented
FlutterMethodCall::method
NSString * method
Definition: FlutterCodecs.h:233
FlutterMethodCall
Definition: FlutterCodecs.h:220
kSetUndoStateMethod
static NSString *const kSetUndoStateMethod
Definition: FlutterUndoManagerPlugin.mm:8
FlutterResult
void(^ FlutterResult)(id _Nullable result)
Definition: FlutterChannels.h:194
FlutterMethodCall::arguments
id arguments
Definition: FlutterCodecs.h:238